package com.zd.laboratory.mapper;

import java.util.List;

import com.zd.laboratory.domain.LabRiskPlanHardwareRelation;
import org.apache.ibatis.annotations.Param;

/**
 * 风险预案与硬件关联Mapper接口
 *
 * @author zd
 * @date 2021-09-03
 */
public interface LabRiskPlanHardwareRelationMapper {
    /**
     * 查询风险预案与硬件关联
     *
     * @param id 风险预案与硬件关联主键
     * @return 风险预案与硬件关联
     */
    public LabRiskPlanHardwareRelation selectLabRiskPlanHardwareRelationById(Long id);

    /**
     * 查询风险预案与硬件关联列表
     *
     * @param labRiskPlanHardwareRelation 风险预案与硬件关联
     * @return 风险预案与硬件关联集合
     */
    public List<LabRiskPlanHardwareRelation> selectLabRiskPlanHardwareRelationList(LabRiskPlanHardwareRelation labRiskPlanHardwareRelation);

    /**
     * 新增风险预案与硬件关联
     *
     * @param labRiskPlanHardwareRelation 风险预案与硬件关联
     * @return 结果
     */
    public int insertLabRiskPlanHardwareRelation(LabRiskPlanHardwareRelation labRiskPlanHardwareRelation);

    /**
     * 修改风险预案与硬件关联
     *
     * @param labRiskPlanHardwareRelation 风险预案与硬件关联
     * @return 结果
     */
    public int updateLabRiskPlanHardwareRelation(LabRiskPlanHardwareRelation labRiskPlanHardwareRelation);

    /**
     * 删除风险预案与硬件关联
     *
     * @param id 风险预案与硬件关联主键
     * @return 结果
     */
    public int deleteLabRiskPlanHardwareRelationById(Long id);

    /**
     * 批量删除风险预案与硬件关联
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteLabRiskPlanHardwareRelationByIds(Long[] ids);

    int insertOrUpdateLabRiskPlanHardwareRelation(@Param("entities") List<LabRiskPlanHardwareRelation> entities);

    List<LabRiskPlanHardwareRelation> selectLabRiskPlanHardwareRelationByRiskPlanIdId(Long id);

    int deleteByPlanId(Long riskPlanId);
}
